Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## waba.ui
Class PenEvent

    java.lang.Object
      |
      +--waba.ui.Event
            |
            +--waba.ui.PenEvent

public class PenEvent
extends Event

PenEvent is a pen down, up, move or drag event.

A mouse drag occurs when a mouse button is pressed down and the mouse is moved. A mouse move occurs when the mouse is moved without a button being held down.

Field Summary
`int` | `modifiers` The state of the modifier keys when the event occured.
`static int` | `PEN_DOWN` The event type for a pen or mouse down event.
`static int` | `PEN_DRAG` The event type for a pen or mouse drag event.
`static int` | `PEN_MOVE` The event type for a pen or mouse move event.
`static int` | `PEN_UP` The event type for a pen or mouse up event.
`int` | `x` The x location of the event.
`int` | `y` The y location of the event.

Fields inherited from class waba.ui.Event
`consumed, target, timeStamp, type`

Constructor Summary
`PenEvent()`

Methods inherited from class waba.ui.Event
`getNextAvailableEventId, isAvailable, touch`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### PEN_DOWN

    public static final int PEN_DOWN

  The event type for a pen or mouse down event.

### PEN_MOVE

    public static final int PEN_MOVE

  The event type for a pen or mouse move event.

### PEN_UP

    public static final int PEN_UP

  The event type for a pen or mouse up event.

### PEN_DRAG

    public static final int PEN_DRAG

  The event type for a pen or mouse drag event.

### x

    public int x

  The x location of the event.

### y

    public int y

  The y location of the event.

### modifiers

    public int modifiers

  The state of the modifier keys when the event occured. This is a OR'ed combination of the modifiers present in the IKeys interface.
  See Also:
    `IKeys`

Constructor Detail

### PenEvent

    public PenEvent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD